Workflow Run Get By Run Id

Workflow Run Get By Run Id
Find Workflow Run by run ID

Retrieves the Workflow Run for the given run ID

Request
URI
GET
https://{vcfa-fqdn}/vro/runs/{runId}
COPY
Path Parameters
string
runId
Required

runId


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with found workflow run

Returns WorkflowRun of type(s) */*
{
    "id": "string",
    "name": "string",
    "ownerId": "string",
    "orgId": "string",
    "createdOn": 0,
    "modifiedOn": 0,
    "configurationId": "string",
    "runId": "string",
    "workflowId": "string",
    "runStatus": "string",
    "errorMessage": "string",
    "startedBy": "string",
    "startedOn": 0,
    "completedOn": 0,
    "ebsEventId": "string",
    "eventTraceEntryId": "string",
    "ebsBlocking": false,
    "workflowInputs": {
        "workflowInputs": {}
    },
    "workflowOutputs": {
        "workflowOutputs": {}
    },
    "logs": [
        {
            "severity": "string",
            "shortDescription": "string",
            "longDescription": "string",
            "userName": "string",
            "timestamp": "string",
            "origin": "string",
            "entry": {
                "entry": "string"
            }
        }
    ],
    "integrationId": "string",
    "integrationName": "string",
    "integrationSelfLink": "string"
}

202

Accepted

{
    "message": "string",
    "messageId": "string",
    "stackTrace": [
        "string"
    ],
    "statusCode": 0,
    "errorCode": 0,
    "details": [
        "string"
    ],
    "serverErrorId": "string",
    "documentKind": "string",
    "certificateInfo": {
        "certificate": "string",
        "properties": {
            "properties": "string"
        },
        "documentKind": "string"
    },
    "internalErrorCode": 0
}

400

Bad Request

Returns ServiceErrorResponse of type(s) */*
{
    "message": "string",
    "messageId": 0,
    "stackTrace": [
        "string"
    ],
    "statusCode": 0,
    "errorCode": 0
}

403

Forbidden

Returns BriefServiceErrorResponse of type(s) */*
{
    "message": "string"
}

404

Workflow Run with this runId could not be found

Returns BriefServiceErrorResponse of type(s) */*
{
    "message": "string"
}

409

Conflict

Returns BriefServiceErrorResponse of type(s) */*
"BriefServiceErrorResponse Object"
string
message
Optional

message


417

Expectation Failed

Returns BriefServiceErrorResponse of type(s) */*
"BriefServiceErrorResponse Object"
string
message
Optional

message


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/vro/runs/{runId}